curl -X DELETE https://api.example.com/api/mcp/servers/mcp_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
import requests
response = requests.delete(
'https://api.example.com/api/mcp/servers/mcp_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "MCP server not found"
}
Server Management
Delete MCP Server
Disconnects and deletes a specific MCP server configuration
DELETE
/
api
/
mcp
/
servers
/
{id}
curl -X DELETE https://api.example.com/api/mcp/servers/mcp_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
import requests
response = requests.delete(
'https://api.example.com/api/mcp/servers/mcp_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "MCP server not found"
}
Path Parameters
string
required
MCP server ID to delete
Response
boolean
Whether the deletion was successful
curl -X DELETE https://api.example.com/api/mcp/servers/mcp_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
import requests
response = requests.delete(
'https://api.example.com/api/mcp/servers/mcp_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "MCP server not found"
}
⌘I

